import greenfoot.*;

/**
 * One scene in a skit, composed of a picture and a starting time/
 * 
 * @author TriMil
 * @version 1.0
 */
public class Scene  
{
    /**
     * The time at which this Scene starts
     */
    private int startTime;
    
    /**
     * The image displayed during this Scene
     */
    private GreenfootImage img;
    
    /**
     * Makes a new Scene with a startin time and an image to display
     * 
     * @param startTime The time this Scene should start
     * @param image The image displayed while this scene is running
     */
    public Scene(int startTime, GreenfootImage image)
    {
        this.startTime = startTime;
        img = image;
    }
    
    /**
     * Gets the starting time
     * 
     * @return The time this Scene starts
     */
    public int getStart()
    {
        return startTime;
    }
    
    /**
     * Gets the image
     * 
     * @return The image displayed while this scene is being shown.
     */
    public GreenfootImage getImage()
    {
        return img;
    }
}
